cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aleksey Yeschenko (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CASSANDRA-6967) upgradesstables won't upgrade the system-Versions-hf files
Date Fri, 11 Mar 2016 16:59:39 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-6967?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Aleksey Yeschenko resolved CASSANDRA-6967.
------------------------------------------
    Resolution: Won't Fix

Closing as 1.2 and 2.0 are no longer supported.

> upgradesstables won't upgrade the system-Versions-hf files
> ----------------------------------------------------------
>
>                 Key: CASSANDRA-6967
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-6967
>             Project: Cassandra
>          Issue Type: Improvement
>            Reporter: Nicolas Lalevée
>            Priority: Trivial
>
> In order to properly upgrade our test cluster from 1.2.11 to 2.0.6, we had to perform
some upgradesstables, Cassandra 2.0.6 was not starting due to some file in version 'hf'.
> To prepare the upgrade on prod, I have looked up for some 'hf' files, and I have found
some on all nodes, all being /var/lib/cassandra/data/system/Versions/system-Versions-hf-*
> And I have tried many upgradesstables command, there are still lying there.
> {noformat}
> # nodetool upgradesstables system Versions
> Exception in thread "main" java.lang.IllegalArgumentException: Unknown table/cf pair
(system.Versions)
> # nodetool upgradesstables system
> # nodetool upgradesstables
> # nodetool upgradesstables -a system
> # ls /var/lib/cassandra/data/system/Versions/*-hf-* | wc -l
> 15
> {noformat}
> I did not try "nodetool upgradesstables -a" since we have a lot of data.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message